This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 874870 - [abrt] yum-utils-1.1.31-4.fc17: progress.py:555:_do_update_meter:IOError: [Errno 5] Input/output error
[abrt] yum-utils-1.1.31-4.fc17: progress.py:555:_do_update_meter:IOError: [Er...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:323fd098e22b5127c50b583ef94...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 18:49 EST by mochammad iqbal
Modified: 2012-11-09 08:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 08:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: executable (34 bytes, text/plain)
2012-11-08 18:49 EST, mochammad iqbal
no flags Details
File: environ (2.80 KB, text/plain)
2012-11-08 18:49 EST, mochammad iqbal
no flags Details
File: dso_list (63 bytes, text/plain)
2012-11-08 18:49 EST, mochammad iqbal
no flags Details
File: smolt_data (2.94 KB, text/plain)
2012-11-08 18:49 EST, mochammad iqbal
no flags Details
File: core_backtrace (1.57 KB, text/plain)
2012-11-08 18:49 EST, mochammad iqbal
no flags Details

  None (edit)
Description mochammad iqbal 2012-11-08 18:49:15 EST
Version-Release number of selected component:
yum-utils-1.1.31-4.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python -tt /usr/sbin/yum-complete-transaction
kernel:         3.6.5-1.fc17.x86_64

backtrace:
:progress.py:555:_do_update_meter:IOError: [Errno 5] Input/output error
:
:Traceback (most recent call last):
:  File "/usr/sbin/yum-complete-transaction", line 258, in <module>
:    util = YumCompleteTransaction()
:  File "/usr/sbin/yum-complete-transaction", line 118, in __init__
:    self.main()
:  File "/usr/sbin/yum-complete-transaction", line 156, in main
:    self.doUtilYumSetup()
:  File "/usr/share/yum-cli/utils.py", line 379, in doUtilYumSetup
:    self._getRepos(doSetup = True)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 722, in _getRepos
:    self._repos.doSetup(thisrepo)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 134, in doSetup
:    self.retrieveAllMD()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 103, in retrieveAllMD
:    urlgrabber.grabber.parallel_wait()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2208, in parallel_wait
:    perform()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2151, in perform
:    for opts, size, ug_err in dl.perform():
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2094, in perform
:    done = self.running[fd].perform()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2051, in perform
:    self.running[_id].progress_obj.update(size)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 141, in update
:    self._do_update(amount_read, now)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 328, in _do_update
:    self.master.update_meter(self, now)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 431, in update_meter
:    self._do_update_meter(meter, now)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 555, in _do_update_meter
:    self.fo.write(out)
:IOError: [Errno 5] Input/output error
:
:Local variables in innermost frame:
:ui_time: '     --:--'
:text: 'google-chrome/primary'
:meter: <urlgrabber.progress.MultiFileHelper instance at 0x248b638>
:ui_rate: '  0.0 B/s'
:blen: 16
:ui_size: ' |    0 B'
:out: '\rgoogle-chrome/primary     0% [================]  0.0 B/s |    0 B     --:-- ETA \r'
:rt: None
:ftt: '--:--:--'
:tt: None
:ui_bar: ' [================]'
:tl: <urlgrabber.progress.TerminalLine instance at 0x248b758>
:pf: 0.49
:ftd: '0 B'
:pd: 100.49
:tf: 1
:td: 0
:frac: 1.0
:format: 'files: %3i/%-3i %3i%%   data: %6.6s/%-6.6s %3i%%   time: %8.8s/%8.8s'
:df: 0
:dd: 0
:dt: 0.5549659729003906
:now: 1352503076.767358
:ui_sofar_pc: ' 0%'
:fdd: '0 B'
:ui_end: ' ETA '
:ave_dl: '0.0 '
:fdt: '00:00:00'
:self: <urlgrabber.progress.TextMultiFileMeter instance at 0x24862d8>
Comment 1 mochammad iqbal 2012-11-08 18:49:19 EST
Created attachment 641118 [details]
File: executable
Comment 2 mochammad iqbal 2012-11-08 18:49:22 EST
Created attachment 641119 [details]
File: environ
Comment 3 mochammad iqbal 2012-11-08 18:49:25 EST
Created attachment 641120 [details]
File: dso_list
Comment 4 mochammad iqbal 2012-11-08 18:49:28 EST
Created attachment 641121 [details]
File: smolt_data
Comment 5 mochammad iqbal 2012-11-08 18:49:31 EST
Created attachment 641122 [details]
File: core_backtrace
Comment 6 Zdeněk Pavlas 2012-11-09 08:05:23 EST
yum-complete-transaction was run without --cacheonly, started downloading, and the TTY was closed, so write to stdout failed.  I don't think we should catch this, or add yet another wrapper on top of Yum stdout.

Note You need to log in before you can comment on or make changes to this bug.